fx_fadein       Proc
        mov     incx_temp, eax
pet_1:
        call    wait_timer

        cmp     incx_temp, 63*256
        jng     ok_s
        mov     incx_temp, 63*256
ok_s:

        mov     ebx, incx_temp
        shr     ebx, 8
        mov     esi, data_address
        add     esi, logo_address
        mov     ebp, mem_allocated
        add     ebp, shade_tbl_ofs
        call    show_shade_pic

        call    Equalizer

        mov     eax, 0
        call    esc_key

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_frame1:
        add     incx_temp, 32
        dec     eax
        jnz     skip_frame1

        call    wyrownaj_timer

        cmp     _SynchroCount, 1
        jl      pet_1

        ret
fx_fadein       EndP


fx_setup_gel    Proc
        mov     edi, mem_allocated
        add     edi, Temp_ofs
        call    Clear_buffer

        mov     edi, mem_allocated
        add     edi, Temp_ofs + 48*320*2 + 96*2
        mov     esi, mem_allocated
        add     esi, Logo_ofs
        call    Stamp_hicolor_logo

        ret
fx_setup_gel    EndP

fx_gel  Proc
        mov     mult, 1
        mov     ttest, 16
pet_2:
        call    wait_timer

        cmp     mult, 18
        jge     nielicz_sin
        call    Calculate_sincos        ; wygenerowanie tablicy sin&cos
        jmp     byl_liczony
nielicz_sin:
        cmp     mult_temp, 12000
        jng     byl_liczony
        mov     ttest, -16
byl_liczony:

        mov     esi, mem_allocated
        add     esi, Temp_ofs
        call    Do_gel

        call    Equalizer

        mov     eax, 1
        call    esc_key

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_frame2:
        mov     ebx, ttest
        add     mult_temp, ebx
        add     incx_temp, 256
        add     incy_temp, 64

        dec     eax
        jnz     skip_frame2

        cmp     mult_temp, 0
        jge     ok_mult
        mov     mult_temp, 0
ok_mult:
        mov     edx, incx_temp
        mov     eax, incy_temp
        mov     ecx, mult_temp
        shr     edx, 8
        shr     eax, 8
        shr     ecx, 8
        mov     inc_x, dx
        mov     inc_y, ax
        mov     mult, cx

        call    wyrownaj_timer

        cmp     _SynchroCount, 3
        jl      pet_2

        ret
fx_gel  EndP


fx_setup_double_tun     Proc
        mov     incx, 4
        mov     incy, 1280*2

        mov     ttest, 5

        xor     eax, eax
        mov     posx, eax
        mov     posy, eax

        mov     esi, mem_allocated
        add     esi, text1_ofs
        mov     texture_status, esi

        ret
fx_setup_double_tun     EndP

fx_double_tun   Proc
        call    wait_timer

        call    Do_tunnel

        call    Equalizer

        mov     eax, 1
        call    esc_key

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_frame3:
;       dec     ttest
;       jnz     bez_zmian
;       mov     ttest, 5

        call    Zmien_parametry
;bez_zmian:

        add     increment, 2 + 256

        dec     eax
        jnz     skip_frame3

        call    wyrownaj_timer

        ret
fx_double_tun   EndP


fx_setup_bump   Proc
        mov     edi, mem_allocated
        add     edi, picture_buf_ofs
        call    Clear_buffer

        mov     edi, mem_allocated
        add     edi, picture_buf_ofs + 48*320 + 96
        mov     esi, data_address
        add     esi, logo_address
        call    Stamp_256_logo

        mov     edx, mem_allocated
        add     edx, shade_tbl_ofs
        mov     shade_tbl, edx

        mov     eax, mem_allocated
        add     eax, picture_buf_ofs
        mov     picture_address, eax

        mov     temp, 0

        finit
        fld1
        mov     tx, 2
        fidiv   tx
        fstp    tx

        call    Zmien_parametry2        ; ustawienie poczatkowej pozycji

        ret
fx_setup_bump   EndP

fx_bump Proc
        call    wait_timer

        mov     esi, mem_allocated
        add     esi, picture_buf_ofs
        call    Do_bump                 ; bumpmapper

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_frame4:
        call    Zmien_parametry2        ; zmiana pozycji swiatla

        dec     eax
        jnz     skip_frame4

        mov     eax, 0
        call    esc_key

        call    wyrownaj_timer

        ret
fx_bump EndP


fx_setup_bumptun        Proc
        mov     edx, mem_allocated
        add     edx, shade2_tbl_ofs
        mov     shade_tbl, edx

        mov     eax, mem_allocated
        add     eax, picture_buf_ofs
        mov     picture_address, eax

        mov     increment, 0
        mov     temp, 0

        finit
        fld1
        mov     tx, 4
        fidiv   tx
        fstp    tx

        call    Zmien_parametry2        ; ustawienie poczatkowej pozycji

        mov     eax, 200*320*4+160*4
        mov     inc1, eax
        mov     incx_temp, 0
        mov     incy_temp, 0

        ret
fx_setup_bumptun        EndP


fx_bumptun      Proc
        call    wait_timer

        mov     esi, mem_allocated
        add     esi, bumpmap_ofs
        mov     edi, mem_allocated
        add     edi, Temp_ofs
        call    Do_bump256              ; bumpmapper

        mov     esi, mem_allocated
        add     esi, temp_ofs
        mov     edi, virtual_screen
        mov     edx, mem_allocated
        add     edx, Tunnel1_tbl_ofs
        call    Do_poj_tunnel

        call    Equalizer

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_frame5:
        call    Zmien_parametry2        ; zmiana pozycji swiatla
;        add     increment, 2 + 256
        add     incx_temp, 256
        add     incy_temp, 32768

        dec     eax
        jnz     skip_frame5

        mov     eax, incx_temp
        shr     eax, 8
        and     eax, 0fffffffeh
        mov     ebx, incy_temp
        shr     ebx, 8
        and     ebx, 0fffffe00h
        add     eax, ebx
        mov     increment, eax

        mov     eax, 0
        call    esc_key

        call    wyrownaj_timer

        ret
fx_bumptun      EndP


fx_setup_tun_poj        Proc
        mov     temp, 0
        call    Zmien_parametry3
        finit
        fld1
        mov     tx, 3
        fidiv   tx
        fstp    tx

        mov     esi, mem_allocated
        add     esi, text1_ofs
        mov     texture_status, esi
        ret
fx_setup_tun_poj        EndP

fx_tun_poj      Proc
        mov     edi, virtual_screen
        call    Do_poj_tunnel           ; wlasciwa procka

        call    Equalizer

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_frame6:
        call    Zmien_parametry3        ; zmiana pozycji swiatla
        add     increment, 4 + 512      ; ruch tunelu
        dec     eax
        jnz     skip_frame6

        mov     eax, 0
        call    esc_key

        call    wyrownaj_timer

        ret
fx_tun_poj      EndP


fx_setup_wobble Proc
        call    wyrownaj_timer
        mov     eax, 200*320*4+160*4
        mov     esi, mem_allocated
        add     esi, text3_ofs
        mov     texture_status, esi
        mov     inc1, eax
        mov     mult, 64
        call    calculate_sincos

        ret
fx_setup_wobble EndP

fx_wobble_tun   Proc
        call    wait_timer

        mov     esi, texture_status

        mov     edi, virtual_screen
        call    Do_wobble_tun           ; wlasciwa procka

        call    Equalizer

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_framen:
        mov     ebx, incx_temp
        add     increment, ebx          ; ruch tunelu
        dec     eax
        jnz     skip_framen

        mov     eax, 0
        call    esc_key

        call    wyrownaj_timer

        ret
fx_wobble_tun   EndP

fx_setup_light  Proc
        mov     esi, data_address
        add     esi, text3_address
        mov     edi, mem_allocated
        add     edi, picture_buf_ofs
        call    Fill_by_text

        mov     esi, data_address
        add     esi, whooz_address
        mov     edi, mem_allocated
        add     edi, picture_buf_ofs
        add     edi, 5*320
        call    Stamp_whooz

        mov     edi, mem_allocated
        add     edi, picture_buf_ofs
        add     edi, 320*100 + 70
        mov     ebp, o credits_txt
        call    Stamp_text

        mov     edi, mem_allocated
        add     edi, picture_buf_ofs
        add     edi, 320*140 + 75
        mov     ebp, o our_txt
        call    Stamp_text

        mov     edi, mem_allocated
        add     edi, picture_buf_ofs
        add     edi, 320*160 + 150
        mov     ebp, o to_txt
        call    Stamp_text

        mov     edi, mem_allocated
        add     edi, picture_buf_ofs
        add     edi, 320*180 + 40
        mov     ebp, o rh_txt
        call    Stamp_text

        mov     eax, mem_allocated
        add     eax, shade3_tbl_ofs
        mov     shade_tbl, eax

        mov     temp, 0
        finit
        fld1
        mov     tx, 4
        fidiv   tx
        fstp    tx

        call    Zmien_parametry4        ; zmiana pozycji swiatla
        ret
fx_setup_light  EndP

fx_light        Proc
        call    wait_timer
        mov     esi, mem_allocated
        add     esi, picture_buf_ofs
        call    Do_light

        mov     eax, TimerCount
        sub     eax, prevTimerCount
skip_framel:
        call    Zmien_parametry4        ; zmiana pozycji swiatla
        dec     eax
        jnz     skip_framel

        mov     eax, 0
        call    esc_key

        call    wyrownaj_timer

        ret
fx_light        EndP