;*****************************************************************************
; Generuje texture 256x256
; Wejscie:
;   EDI - adres bufora do zapisu
; Wyjscie:
;   brak
;*****************************************************************************
Make_texture    Proc
        mov     Randmval, 0
        mov     Randmval2, 0
        mov     ecx, 256
        push    edi

cbpet_y:
        mov     esi, 256
cbpet_x:
        call    Random
        add     al, bl
        stosb

        dec     esi
        jnz     cbpet_x

        loop    cbpet_y

        pop     edi

        mov     ecx, 3
cbpet:
        call    blur_texture
        loop    cbpet

        ret
make_texture    EndP

;*****************************************************************************
; Rozmywa texture 256x256
;*****************************************************************************
Blur_texture    Proc
        push    ecx
        xor     ebp, ebp
blrpet_y:
        xor     esi, esi
blrpet_x:
        xor     edx, edx

        mov     ax, bp
        mov     dh, al
        mov     ax, si
        mov     dl, al
        mov     ecx, edx

        xor     eax, eax

        sub     edx, 1
        and     edx, 0ffffh
        mov     al, [edi + edx]
        mov     ebx, eax

        mov     edx, ecx
        sub     edx, 2
        and     edx, 0ffffh
        mov     al, [edi + edx]
        adc     ebx, eax

        mov     edx, ecx
        sub     edx, 256
        and     edx, 0ffffh
        mov     al, [edi + edx]
        adc     ebx, eax

        mov     edx, ecx
        add     edx, 257
        and     edx, 0ffffh
        mov     al, [edi + edx]
        adc     ebx, eax

        shr     ebx, 2
        mov     eax, ebx

        mov     edx, ecx
        and     edx, 0ffffh
        mov     [edi+edx], al

        inc     esi
        cmp     esi, 256
        jne     blrpet_x

        inc     ebp
        cmp     ebp, 256
        jne     blrpet_y

        pop     ecx
        ret
Blur_texture    EndP
